Debian Bug report logs - #580879
scikit-learn - FTBFS: ERROR: test_2d_full (scikits.learn.em.tests.test_gmm_em.test_log_domain)

version graph

Package: src:scikit-learn; Maintainer for src:scikit-learn is NeuroDebian Team <team@neuro.debian.net>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Sun, 9 May 2010 14:33:10 UTC

Severity: serious

Found in version scikit-learn/0.2+svn625-1

Fixed in version scikit-learn/0.3-4

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>:
Bug#580879; Package src:scikit-learn. (Sun, 09 May 2010 14:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>. (Sun, 09 May 2010 14:33:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: scikit-learn - FTBFS: ERROR: test_2d_full (scikits.learn.em.tests.test_gmm_em.test_log_domain)
Date: Sun, 9 May 2010 16:32:48 +0200
Source: scikit-learn
Version: 0.2+svn625-1
Severity: serious

There was an error while trying to autobuild your package:

> sbuild (Debian sbuild) 0.60.0 (23 Feb 2010) on debian-31.osdl.marist.edu
[...]
> ======================================================================
> ERROR: test_2d_full (scikits.learn.em.tests.test_gmm_em.test_log_domain)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/build/buildd-scikit-learn_0.2+svn625-1-s390-QhcarQ/scikit-learn-0.2+svn625/debian/python-scikits-learn/usr/lib/python2.5/site-packages/scikits/learn/em/tests/test_gmm_em.py", line 198, in test_2d_full
>     self._test_common(d, k, mode)
>   File "/build/buildd-scikit-learn_0.2+svn625-1-s390-QhcarQ/scikit-learn-0.2+svn625/debian/python-scikits-learn/usr/lib/python2.5/site-packages/scikits/learn/em/tests/test_gmm_em.py", line 162, in _test_common
>     dic = load_dataset('%s_%dd_%dk.mat' % (mode, d, k))
>   File "/build/buildd-scikit-learn_0.2+svn625-1-s390-QhcarQ/scikit-learn-0.2+svn625/debian/python-scikits-learn/usr/lib/python2.5/site-packages/scikits/learn/em/tests/test_gmm_em.py", line 22, in load_dataset
>     dic['w0'] = dic['w0'].squeeze()
> KeyError: 'w0'
> 
> ----------------------------------------------------------------------
> Ran 32 tests in 0.214s
> 
> FAILED (errors=8)
> make[1]: *** [python-install2.5] Error 1
> make[1]: Leaving directory `/build/buildd-scikit-learn_0.2+svn625-1-s390-QhcarQ/scikit-learn-0.2+svn625'
> make: *** [binary-arch] Error 2




Information forwarded to debian-bugs-dist@lists.debian.org, Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>:
Bug#580879; Package src:scikit-learn. (Sun, 09 May 2010 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>. (Sun, 09 May 2010 15:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 580879@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Bastian Blank <waldi@debian.org>, 580879@bugs.debian.org
Subject: Re: [Pkg-exppsy-maintainers] Bug#580879: scikit-learn - FTBFS: ERROR: test_2d_full (scikits.learn.em.tests.test_gmm_em.test_log_domain)
Date: Sun, 9 May 2010 10:57:35 -0400
note -- this issue is specific to powerpc and s390

we are looking into it

On Sun, 09 May 2010, Bastian Blank wrote:

> Source: scikit-learn
> Version: 0.2+svn625-1
> Severity: serious

-- 
                                  .-.
=------------------------------   /v\  ----------------------------=
Keep in touch                    // \\     (yoh@|www.)onerussian.com
Yaroslav Halchenko              /(   )\               ICQ#: 60653192
                   Linux User    ^^-^^    [175555]






Information forwarded to debian-bugs-dist@lists.debian.org, Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>:
Bug#580879; Package src:scikit-learn. (Sun, 09 May 2010 16:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <sf@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>. (Sun, 09 May 2010 16:54:07 GMT) Full text and rfc822 format available.

Message #15 received at 580879@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <sf@onerussian.com>
To: scikit-learn-general@lists.sourceforge.net
Cc: 580879@bugs.debian.org
Subject: Re: [Scikit-learn-general] [Pkg-exppsy-maintainers] Bug#580879: scikit-learn - FTBFS: ERROR: test_2d_full (scikits.learn.em.tests.test_gmm_em.test_log_domain) (fwd)
Date: Sun, 9 May 2010 12:52:03 -0400
On Sun, 09 May 2010, Yaroslav Halchenko wrote:
> This bug report concerns powerpc and s390; and 
hint -- those two are big-endian architectures... at first I didn't
catch that since sparc was missing from the list ;)
but now it all blossoms with big endians failing:

https://buildd.debian.org/pkg.cgi?pkg=scikit-learn

-- 
                                  .-.
=------------------------------   /v\  ----------------------------=
Keep in touch                    // \\     (yoh@|www.)onerussian.com
Yaroslav Halchenko              /(   )\               ICQ#: 60653192
                   Linux User    ^^-^^    [175555]






Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. (Tue, 11 May 2010 04:33:07 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Tue, 11 May 2010 04:33:07 GMT) Full text and rfc822 format available.

Message #20 received at 580879-close@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 580879-close@bugs.debian.org
Subject: Bug#580879: fixed in scikit-learn 0.3-4
Date: Tue, 11 May 2010 04:32:14 +0000
Source: scikit-learn
Source-Version: 0.3-4

We believe that the bug you reported is fixed in the latest version of
scikit-learn, which is due to be installed in the Debian FTP archive:

python-scikits-learn-doc_0.3-4_all.deb
  to main/s/scikit-learn/python-scikits-learn-doc_0.3-4_all.deb
python-scikits-learn-lib_0.3-4_amd64.deb
  to main/s/scikit-learn/python-scikits-learn-lib_0.3-4_amd64.deb
python-scikits-learn_0.3-4_all.deb
  to main/s/scikit-learn/python-scikits-learn_0.3-4_all.deb
scikit-learn_0.3-4.debian.tar.gz
  to main/s/scikit-learn/scikit-learn_0.3-4.debian.tar.gz
scikit-learn_0.3-4.dsc
  to main/s/scikit-learn/scikit-learn_0.3-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580879@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yaroslav Halchenko <debian@onerussian.com> (supplier of updated scikit-learn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 10 May 2010 23:59:49 -0400
Source: scikit-learn
Binary: python-scikits-learn python-scikits-learn-doc python-scikits-learn-lib
Architecture: source all amd64
Version: 0.3-4
Distribution: unstable
Urgency: low
Maintainer: Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>
Changed-By: Yaroslav Halchenko <debian@onerussian.com>
Description: 
 python-scikits-learn - Python modules for machine learning and data mining
 python-scikits-learn-doc - documentation and examples for scikit-learn
 python-scikits-learn-lib - low-level implementations and bindings for scikits-learn
Closes: 580879
Changes: 
 scikit-learn (0.3-4) unstable; urgency=low
 .
   * Disabling test_gmm_em unittests while building (Closes: #580879).
     Actual reason for failing tests lies within NumPy -- see #581043,
     which should be fixed there, but should not prevent building of
     this package atm.
Checksums-Sha1: 
 27d3e3851cd5b087d6eaa440249789a277e072f0 1605 scikit-learn_0.3-4.dsc
 7c552a22b041ef2346f5140775e16bf81e25e054 4292 scikit-learn_0.3-4.debian.tar.gz
 ea39371f57254f3c97011fcb30d46d0dd0730b9b 456264 python-scikits-learn_0.3-4_all.deb
 eb6624a30519190bf488944287c3062fe1224882 599498 python-scikits-learn-doc_0.3-4_all.deb
 bb9bdcda4b54a9dbfbd64b2263e64fdcfb57983a 438736 python-scikits-learn-lib_0.3-4_amd64.deb
Checksums-Sha256: 
 0d3af2b53c2e45f736e877b5cfa037b27c8ce355ff0a88a3b93a3cef0967835d 1605 scikit-learn_0.3-4.dsc
 81719cc05915bab8a9e9fcf4c047ebef53197333fc528b4265629784443b3e08 4292 scikit-learn_0.3-4.debian.tar.gz
 f5bea93de4c1181c100da3e8e2f1346a1c9b6f39c3264986934af538fb339f9c 456264 python-scikits-learn_0.3-4_all.deb
 07b455168a44cea867c006d4b5c9484e4852a241486eb2161b7ee050e0315280 599498 python-scikits-learn-doc_0.3-4_all.deb
 22717db659e68ce238e706e3c0ae7cc14105820a1b3bfb469b131cf6d94f9c5f 438736 python-scikits-learn-lib_0.3-4_amd64.deb
Files: 
 b4d64bcf602814aaa6f2d32305390d7f 1605 python optional scikit-learn_0.3-4.dsc
 7ce1d8bd40ea8f2f8fbdd59728a80987 4292 python optional scikit-learn_0.3-4.debian.tar.gz
 e7db0b9a70b3c86b85bf0f9a29a89482 456264 python optional python-scikits-learn_0.3-4_all.deb
 681e0eef2cc4bd6e823a60d5dc8ea93d 599498 doc optional python-scikits-learn-doc_0.3-4_all.deb
 b0f55301cef7b25d5c5dd343e1ffe287 438736 python optional python-scikits-learn-lib_0.3-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvo2uIACgkQjRFFY3XAJMj4XwCgjoIfjg/9SINjlrNtbp9n3c54
E+gAn1txMFMv42S4PJgRdg0cxKHpbQAZ
=X/k+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Jun 2010 07:36:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:35:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.